Author Topic: Problem opening 1.17.02.48  (Read 16816 times)

Offline Harbinger

  • Extreme artist
  • *****
  • Posts: 1,146
  • Gender: Male
  • Operating System: Windows XP
Problem opening 1.17.02.48
« on: June 14, 2007, 14:34:05 »
:( When i tried opening modplug v2.48, i got a message popup that said i needed WINHTTP.DLL. I'm using Win98SE (actually being emulated, but should be normal), and had no problems using 2.42. I am NOT plugged into the internet at home (and never have been).

Anybody have any ideas?

Offline LPChip

  • Administrator
  • *****
  • Posts: 5,135
    • http://lpchip.nl
  • Operating System: Windows 10 Pro x64
Problem opening 1.17.02.48
« Reply #1 on: June 14, 2007, 14:35:50 »
Can you try builds .43 to .47 to see where its still working, and where it starts to crash?

Maybe we can identify where things are maulfunctioning.
"Heh, maybe I should've joined the compo only because it would've meant I wouldn't have had to worry about a damn EQ or compressor for a change. " - Atlantis
"yes.. I think in this case it was wishful thinking: MPT is makng my life hard so it must be wrong" - Rewbs

Offline Harbinger

  • Extreme artist
  • *****
  • Posts: 1,146
  • Gender: Male
  • Operating System: Windows XP
Problem opening 1.17.02.48
« Reply #2 on: June 14, 2007, 14:41:55 »
Okay. Where do i get the intermediate builds? Sourceforge?

Offline cubaxd

  • Workaholic artist
  • ***
  • Posts: 215
    • http://cubaxd.net/
Problem opening 1.17.02.48
« Reply #3 on: June 14, 2007, 14:52:27 »
Hi Harbinger

look here for the various builds :)

Offline Harbinger

  • Extreme artist
  • *****
  • Posts: 1,146
  • Gender: Male
  • Operating System: Windows XP
Problem opening 1.17.02.48
« Reply #4 on: June 14, 2007, 14:56:42 »
All-right, i'll try 2.45 first since 2.42 didn't have a problem, and never requested the .dll in question.

Offline pelya

  • Workaholic artist
  • ***
  • Posts: 108
Re: Problem opening 1.17.02.48
« Reply #5 on: June 14, 2007, 17:59:55 »
Quote from: "Harbinger"
:( When i tried opening modplug v2.48, i got a message popup that said i needed WINHTTP.DLL. I'm using Win98SE (actually being emulated, but should be normal), and had no problems using 2.42. I am NOT plugged into the internet at home (and never have been).
Anybody have any ideas?

Yeah, that's recent feature added to Modplug - it needs that dll to get an update from internet.
You should install Windows 2000/XP or Windows NT 4.0 with Internet Explorer 5.01 to have this DLL :( .
You may try this quick fix if you desirably want to test v02.48 (and believe I didn't insert there some code that will blow up your monitor - I usually don't do that :lol: ).

Offline Harbinger

  • Extreme artist
  • *****
  • Posts: 1,146
  • Gender: Male
  • Operating System: Windows XP
Problem opening 1.17.02.48
« Reply #6 on: June 14, 2007, 18:27:27 »
well you could only hurt my PC emulator but not my Mac.

I'll try it, but what did you do -- simply delete the .dll requirement?

Offline Sam_Zen

  • Extreme artist
  • *****
  • Posts: 3,689
    • http://www.xs4all.nl/~samzen/
Problem opening 1.17.02.48
« Reply #7 on: June 14, 2007, 23:30:44 »
I dislike auto-updates in the first place, so also this new feature.
But if this is not compatible with W98, becasuse of this dll, then it was a mistake to publish one version of .48, instead of the former situation, with the different P3, P4 and Generic variations.

I also have a laptop with W98, not net-connected, running build .46. And i'm pretty sure i had this trouble also while installing. When it happened, I copied winhttp.dll from my W2k set to the laptop to get it right.
0.618033988

Offline Diamond

  • Workaholic artist
  • ***
  • Posts: 271
Problem opening 1.17.02.48
« Reply #8 on: June 15, 2007, 12:16:33 »
I don't mind auto-updates, but backwards compatibility definitely also needs to be maintained.

Offline Saga Musix

  • OpenMPT Developers
  • *****
  • Posts: 7,530
  • aka Jojo
    • Download music, samples, VST plugins: Saga Musix Website
  • Operating System: Windows 10 x64
Problem opening 1.17.02.48
« Reply #9 on: June 15, 2007, 12:46:27 »
what i think:
the winhttp.dll has to be included dynamically (only when it's needed) and auto-updated has to be turned of by default. that ensures that modplug still runs without the dll. you could also distribute the dll with the rest of the modplug files, it that's possible. but then again, an installer is needed...
» No support, bug reports, feature requests via private messages - they will not be answered. Use the forums and the issue tracker so that everyone can benefit from your post.

Offline Sam_Zen

  • Extreme artist
  • *****
  • Posts: 3,689
    • http://www.xs4all.nl/~samzen/
Problem opening 1.17.02.48
« Reply #10 on: June 15, 2007, 22:35:18 »
You're quite right, the autoupdate should be off by default in the first place.
0.618033988

Offline Harbinger

  • Extreme artist
  • *****
  • Posts: 1,146
  • Gender: Male
  • Operating System: Windows XP
Problem opening 1.17.02.48
« Reply #11 on: June 18, 2007, 17:23:00 »
Yes, i was able to open 2.45 w/o a problem. I've yet to try pelya's file.

Quote from: "Sam_Zen"

I also have a laptop with W98, not net-connected, running build .46. And i'm pretty sure i had this trouble also while installing. When it happened, I copied winhttp.dll from my W2k set to the laptop to get it right.


Yes, i can tell you if i hafta update from win98 (which in essence for me means buying a new emulator), that's a dealbreaker. I'll hafta miss all the new features of the most recent build. However, with such a simple app, you'd think even the newest builds should be compatible to win98.

Now how i do i turn off this "auto-update" you speak of?....

Offline Saga Musix

  • OpenMPT Developers
  • *****
  • Posts: 7,530
  • aka Jojo
    • Download music, samples, VST plugins: Saga Musix Website
  • Operating System: Windows 10 x64
Problem opening 1.17.02.48
« Reply #12 on: June 18, 2007, 18:37:01 »
i think you can only do that in the MPTRACK.INI file, there's a line "CheckForUpdates=1", turn the 1 into a 0.
» No support, bug reports, feature requests via private messages - they will not be answered. Use the forums and the issue tracker so that everyone can benefit from your post.

Offline rewbs

  • OpenMPT Developers
  • *****
  • Posts: 578
Problem opening 1.17.02.48
« Reply #13 on: June 19, 2007, 08:55:33 »
I thought we had dropped support for win98?
It's certainly the case that no devs are testing on win98 any more, and there are other known bugs with it.

Anyway, yes the update check was added in 1.17.02.46 and you can disable it in the ini file as described. I'm not sure if that will remove the dependency on the dll altogether - please let me know either way. I'll see if I can force it off if win98 is detected (Pelya, is that what your special build does?).

Offline Saga Musix

  • OpenMPT Developers
  • *****
  • Posts: 7,530
  • aka Jojo
    • Download music, samples, VST plugins: Saga Musix Website
  • Operating System: Windows 10 x64
Problem opening 1.17.02.48
« Reply #14 on: June 19, 2007, 13:06:12 »
Quote from: "rewbs"
I thought we had dropped support for win98?

that would be a sham, really. there are still enough win98 PCs out there... if you need testing, i can do that, i still have a win98 beside my "modern" machine...
» No support, bug reports, feature requests via private messages - they will not be answered. Use the forums and the issue tracker so that everyone can benefit from your post.